<template>
  <div class="content__block">
    <div class="note__controls">
      <router-link to="/">Назад</router-link>
      <button @click="save">Сохранить</button>
    </div>
    <input type="text" placeholder="Текст заметки" v-model="text" />
    <hr />

    <div v-for="checkbox in checkboxes" :key="checkbox.id">
      <input type="checkbox" v-model="checkbox.done" /> <input type="text" v-model="checkbox.text" />
    </div>

    <button @click="addCheckbox">+ Чекбокс</button>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  data: () => ({
    text: '',
    checkboxes: [],
    checkboxesCount: 0,
  }),
  methods: {
    addCheckbox() {
      this.checkboxes.push({
        id: this.checkboxesCount,
        text: '',
        done: false,
      })
      this.checkboxesCount++
    },
    save() {
      this.$router.push('/')
      const {text, checkboxes} = this
      this.CREATE_NOTE({ text, checkboxes })
    },
    ...mapActions(['CREATE_NOTE']),
    
  },
}
</script>
